Community
Showing results for 
Search instead for 
Do you mean 
Reply

Act! 2011 Premium upgrade from Act! Premium 2006

Tuned Listener
Posts: 23
Country: USA

Act! 2011 Premium upgrade from Act! Premium 2006

Hello,

 

To make a long story short, I've have some errors in my Act! Premium 2006 database.  It's to a point where I can't create any remote databases or backup from the menu (file/backup).

 

So, I've purchased a new server to help with this conversion from 2006 to 2011.

 

Since I can't back up the database, via normal means.  I detached the datasebase using ACTDIAG.  Once detached, I took a complete copy of all of my files from the shared 2006 database folder.  I moved this folder to the new system, that has 2011.

 

When I'm trying to open the backup copy of the database on the new machine, I'm receiving an error.  The error says: "This database host is running a prior version of Microsoft SQL server.  In order to access databases on this host, SQL Server must be upgraded to Microsoft SQL Server 2005 or later."

 

I don't understand what I should do?  The 2006 version is running MS SQL 2005, and the new server running 2011 has MS SQL 2008 R2.

Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Act! 2011 Premium upgrade from Act! Premium 2006

[ Edited ]

Hello Joe,
Welcome to the Sage ACT! Community. In your Windows registry, please browse to the following key:

HKEY_Local_Machine\Software\SageSQLInfo
What information for each value in the right-hand pane do you see there?

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.

Tuned Listener
Posts: 23
Country: USA

Re: Act! 2011 Premium upgrade from Act! Premium 2006

Greig,

 

Thank you for your help.

 

Here is the information:

Connected: True

SP3 Needed: False

SQL Edition: Express 2008

SQL Version Value: 10.50.1600.1

Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Act! 2011 Premium upgrade from Act! Premium 2006

Try the procedure in KB Article 24741 resolve this issue. Be sure to back up your registry first. You will need to create the ACT7InstanceFound string value by right-clicking on the registry key and selecting New > String Value.

 

I have not seen this error going from SQL 2000 (ACT 2006) to SQL 2008 (ACT 2011), but the process in the KB might help to get past it. I tested and changing the values does not seem to affect your SQL 2008 install.

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.

New Member
Posts: 1
Country: USA

Re: Act! 2011 Premium upgrade from Act! Premium 2006

Hi,

 

I just installed act 2011 and trying to open database from ACT 7. I'm getting the same error.

 

I changed the registy values, but still same error.

 

Please help.